Bug 122842 - Docs for auto-numbering LTA about how to change levels
Summary: Docs for auto-numbering LTA about how to change levels
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2019-01-21 01:43 UTC by Jim Avera
Modified: 2019-09-26 15:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Demo document with chroincle of what I tried (17.59 KB, application/vnd.oasis.opendocument.text)
2019-01-21 01:45 UTC, Jim Avera
Details
Demo document with chronicle of what I tried (18.76 KB, application/vnd.oasis.opendocument.text)
2019-01-21 01:49 UTC, Jim Avera
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2019-01-21 01:43:17 UTC
Description:
Help for automatic paragraph numbering should say how to navigate levels (promote or demote levels).

The Help text for “Creating Numbered or Bulleted Lists as You Type” says how to create lists but not how to navigate between levels.  That Help entry links to "Numbering and Numbering Styles" and "Format - Bullets and Numbering".

Help for "Numbering and Numbering Styles" says only how to *increase* the numbering level (click in front of the paragraph, then press the Tab key) but does not say how to *decrease* the level.

Help for "Format - Bullets and Numbering" has nothing directly useful to discover how to decrease the numbering level.

Experimentally, the "Demote Level" button in the Bullets & Numbering toolbar works.  I'm sure it is documented somewhere, just not anywhere users will find when starting from Automatic Numbering.

Help for Automatic Numbering should directly or by reasonably-direct linkage say how to navigate levels when using automatic numbering.

Here are the URLs mentioned above (on my local drive):

file:///home/admin/lotest/6.3.0.0.alpha0/opt/libreofficedev6.3/help/en-US/text/swriter/guide/auto_numbering.html?DbPAR=WRITER#bm_id3147407

which links to:

file:///home/admin/lotest/6.3.0.0.alpha0/opt/libreofficedev6.3/help/en-US/text/swriter/guide/using_numbering.html?&DbPAR=WRITER&System=UNIX

and

file:///home/admin/lotest/6.3.0.0.alpha0/opt/libreofficedev6.3/help/en-US/text/shared/01/06050000.html?&DbPAR=WRITER&System=UNIX





Experimentally, pressing <Enter> at the end of an indented paragraph starts a new inner numbering level (starting over at 1). 

Steps to Reproduce:
1. See above.  Also see the attached demo document

Actual Results:
.

Expected Results:
Automatic paragraph numbering Help should say how to increase AND decrease levels.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
CPU threads: 12; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-18_06:04:42
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Jim Avera 2019-01-21 01:45:26 UTC
Created attachment 148462 [details]
Demo document with chroincle of what I tried
Comment 2 Jim Avera 2019-01-21 01:49:55 UTC
Created attachment 148463 [details]
Demo document with chronicle of what I tried
Comment 3 Commit Notification 2019-06-26 12:34:59 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/94c7d928a447f1531bcd4981bdfc730fd678dd64%5E%21

tdf#122842 Add how-to promote/demote levels in lists
Comment 4 Xisco Faulí 2019-09-26 10:19:13 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks